--
-- $Id$
--
-- Corrigeren vastgelopen correctie bestelling

DEFINE thisfile = 'AAIT#56441.SQL'
DEFINE dbuser   = '^AAIT'
DEFINE custid   = 'AAIT'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- verbreek de link met het orgineel en zet de status naar afgewezen (1)
UPDATE bes_bestelling
   SET bes_bestelling_parentkey = null, bes_bestelling_status = 1
 WHERE bes_bestelling_key = 3862;

-- set het aantal items van bestelling 3862 naar 1. 0 bestellingen geven een foutmelding.
UPDATE bes_bestelling_item
   SET bes_bestelling_item_aantal = 1
 WHERE bes_bestelling_key = 3862;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile